(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* parmatch.mli,v 1.2 1995/08/09 15:05:55 xleroy Exp *)

(* Detection of partial matches and unused match cases. *)

open Typedtree

val check_partial: Location.t -> (pattern * expression) list -> unit
val check_unused: (pattern * expression) list -> unit
